require 'rspec/core/rake_task'
require 'bundler/gem_tasks'
require 'rubocop/rake_task'

RSpec::Core::RakeTask.new(:spec) do |t|
  t.rspec_opts = '--format doc'
end

RuboCop::RakeTask.new(:rubocop) do |t|
  t.patterns = ['lib/**/*.rb']
  t.options = ['--config', "#{Dir.pwd}/.rubocop.yml"]
end

task :console do
  require 'pry'
  require 'revit'

  def reload!
    files = $LOADED_FEATURES.select { |feat| feat =~ %r{//revit} }
    files.each { |file| load file }
  end

  ARGV.clear
  Pry.start
end

task default: :spec
